Bug 43569 - products duplicated in cart
Summary: products duplicated in cart
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Web Site
Classification: Red Hat
Component: New Store   
(Show other bugs)
Version: current
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Cameron Prince
QA Contact: wbirkhea
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-05 16:48 UTC by Maraya Cornell
Modified: 2013-01-09 10:55 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-07 16:44:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Example of duplicate items in cart. (25.75 KB, image/gif)
2001-06-05 16:49 UTC, Maraya Cornell
no flags Details

Description Maraya Cornell 2001-06-05 16:48:49 UTC
Description of Problem:
The cart lists duplicated items.  See attached gif.

How Reproducible:
Tried it with Red Hat Linux Professional 7.1 and Red Hat Linux 7 Getting 
Started Guide, and the bug happened both times.

Steps to Reproduce:
1. Click to buy an item.
2. Continue shopping.
3. Click to buy the same item again.

Actual Results:
Two line items show for that product item.  You can keep clicking to buy 
that same item, and more line items will show up in the cart, apparently 
indefinitely.

Expected Results:
There should be only one line item for each product.  Clicking the buy 
button for the same product only brings you back to the cart page: it 
shouldn't add another line item or change the quantity of that item.  
Quantity only changes when user changes the quantity field on the cart page.  
At least, this is how the store currently works on the live site.

Additional Information:

Comment 1 Maraya Cornell 2001-06-05 16:49:24 UTC
Created attachment 20313 [details]
Example of duplicate items in cart.

Comment 2 Cameron Prince 2001-06-07 16:44:13 UTC
Set SeparateItems No, restarted and verified on webdevel/bmantest.

Fixed.

Comment 3 Maraya Cornell 2001-06-07 17:15:51 UTC
Note that clicking on an item multiple times does result in incremented value in 
the Qty field, which is not the behavior of the current store. Still, it makes 
sense this way too, so I'm closing this bug.



Note You need to log in before you can comment on or make changes to this bug.